# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate ed25519

Name:           rust-ed25519
Version:        1.5.2
Release:        %autorelease
Summary:        Edwards Digital Signature Algorithm (EdDSA) over Curve25519 (as specified in RFC 8032) support library providing signature type definitions and PKCS#8 private key decoding/encoding support

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/ed25519
Source:         %{crates_source}

# This doctest causes a circular dependency with ed25519, so skip it
Patch0:         ed25519-skip-ed25519-dalek-doctest.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Edwards Digital Signature Algorithm (EdDSA) over Curve25519 (as specified in
RFC 8032) support library providing signature type definitions and PKCS#8
private key decoding/encoding support.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE
%license LICENSE-MIT
%doc CHANGELOG.md
%doc README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pem-devel %{_description}

This package contains library source intended for building other packages which
use the "pem" feature of the "%{crate}" crate.

%files       -n %{name}+pem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkcs8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkcs8-devel %{_description}

This package contains library source intended for building other packages which
use the "pkcs8" feature of the "%{crate}" crate.

%files       -n %{name}+pkcs8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+serde_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_bytes_crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_bytes_crate-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_bytes_crate" feature of the "%{crate}" crate.

%files       -n %{name}+serde_bytes_crate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
